Bug 33401 - [guile22] падает alteratord
: [guile22] падает alteratord
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://bugzilla.altlinux.org/show_bu...
: regression
:
:
  Show dependency tree
 
Reported: 2017-04-20 17:38 by
Modified: 2017-05-16 14:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-04-20 17:38:14
(вынесено отдельно из обсуждения bug 33391, comment 5 и далее)

livecd-install падает при попытке запуска из livecd (например,
regular-lxde.iso) перед самым запуском или сразу после загрузки blonde.scm:

[altlinux@localhost ~]$ livecd-install
WARNING: (alterator lookout evaluation): imported module (alterator
presentation events) overrides core binding `when'
frame:on-next is deprecated, use wizard-bind instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:on-next is deprecated, use wizard-bind instead
frame:on-back is deprecated, use wizard-bind instead
frame:on-next is deprecated, use wizard-bind instead
Backtrace:
In interfaces/guile/lookout/goto.scm:
     31:2 19 (clean-widget #<procedure 996ae0 at interfaces/guile/o…> …)
In interfaces/guile/presentation/container.scm:
   212:44 18 (_ _ _)
In ice-9/eval.scm:
   293:34 17 (_ #(#(#<directory (alterator lookout evaluation)…> …) …))
    619:8 16 (_ #(#(#<directory (alterator lookout evaluation) 9…> …)))
In interfaces/guile/lookout/goto.scm:
    38:25 15 (clean-widget #<procedure 7c2660 at interfaces/guile/o…> …)
In ice-9/eval.scm:
   174:20 14 (_ #(#(#<directory (alterator lookout evaluation) 9…> …)))
   177:49 13 (lp (#<procedure da1f00 at ice-9/eval.scm:182:7 (env)> …))
   177:49 12 (lp (#<procedure da1ee0 at ice-9/eval.scm:182:7 (env)> …))
   177:32 11 (lp (#<procedure da1ea0 at ice-9/eval.scm:187:12 (env)>))
In srfi/srfi-1.scm:
   679:15 10 (append-map _ _ . _)
   592:17  9 (map1 ("sda1" "sda2" "sda5"))
In unknown file:
           8 (_ #<procedure e818c0 at ice-9/eval.scm:330:13 ()> #<p…> …)
In ice-9/eval.scm:
    159:9  7 (_ #(#(#<directory (alterator lookout evaluation) 9…> …)))
    155:9  6 (_ _)
In interfaces/guile/logfile.scm:
     37:7  5 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In interfaces/guile/d.scm:
   162:10  4 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In srfi/srfi-1.scm:
   679:15  3 (append-map _ _ . _)
   592:17  2 (map1 (("/evms/storage/volumes/sda1" language ("ru…") …)))
In unknown file:
           1 (request-unix-server "/var/run/alteratord/.socket" "(\…" …)
In ice-9/boot-9.scm:
   756:25  0 (dispatch-exception 0 internal-error (wrong-type-arg # …))

ice-9/boot-9.scm:756:25: In procedure dispatch-exception:
ice-9/boot-9.scm:756:25: Throw to key `internal-error' with args
`(wrong-type-arg "cdr" "Wrong type argument in position ~A (expecting ~A): ~S"
(1 "pair" obj) (obj))'.
[altlinux@localhost ~]$ _

При этом инсталер (например, regular-server.iso на том же mkimage-profiles
с теми же версиями пакетов) с /vm/orthodox _не_ падает, хотя и отказывается
устанавливаться на 16 Гб при выбранном "очистить все диски" и заведомо
умещающемся в такое место профиле разбивки под предлогом недостатка места.

Версии причастных пакетов:
guile-evms-0.5-alt2
alterator-vm-0.4.4-alt1
alterator-5.0-alt2
------- Comment #1 From 2017-04-20 19:59:43 -------
guile-evms-0.5-alt3 -> sisyphus:

* Thu Apr 20 2017 Sergey Bolshakov <sbolshakov@altlinux> 0.5-alt3
- sporadic fix for random crashes, hopefully (closes: #33401)
------- Comment #2 From 2017-04-21 12:29:22 -------
Увы:

[altlinux@localhost ~]$ livecd-install
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /usr/sbin/alterator-wizard
;;; compiled
/root/.cache/guile/ccache/2.2-LE-8-3.9/usr/sbin/alterator-wizard.go
WARNING: (alterator lookout evaluation): imported module (alterator
presentation events) overrides core binding `when'
frame:on-next is deprecated, use wizard-bind instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:on-next is deprecated, use wizard-bind instead
frame:on-back is deprecated, use wizard-bind instead
frame:on-next is deprecated, use wizard-bind instead
Backtrace:
In interfaces/guile/lookout/goto.scm:
     31:2 19 (clean-widget #<procedure aba3a0 at interfaces/guile/o…> …)
In interfaces/guile/presentation/container.scm:
   212:44 18 (_ _ _)
In ice-9/eval.scm:
   293:34 17 (_ #(#(#<directory (alterator lookout evaluation)…> …) …))
    619:8 16 (_ #(#(#<directory (alterator lookout evaluation) 7…> …)))
In interfaces/guile/lookout/goto.scm:
    38:25 15 (clean-widget #<procedure 107b480 at interfaces/guile/…> …)
In ice-9/eval.scm:
   174:20 14 (_ #(#(#<directory (alterator lookout evaluation) 7…> …)))
   177:49 13 (lp (#<procedure dbc340 at ice-9/eval.scm:182:7 (env)> …))
   177:49 12 (lp (#<procedure dbc320 at ice-9/eval.scm:182:7 (env)> …))
   177:32 11 (lp (#<procedure dbc2a0 at ice-9/eval.scm:187:12 (env)>))
In srfi/srfi-1.scm:
   679:15 10 (append-map _ _ . _)
   592:17  9 (map1 ("sda1"))
In unknown file:
           8 (_ #<procedure e303c0 at ice-9/eval.scm:330:13 ()> #<p…> …)
In ice-9/eval.scm:
    159:9  7 (_ #(#(#<directory (alterator lookout evaluation) 7…> …)))
    155:9  6 (_ _)
In interfaces/guile/logfile.scm:
     37:7  5 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In interfaces/guile/d.scm:
   162:10  4 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In srfi/srfi-1.scm:
   679:15  3 (append-map _ _ . _)
   592:17  2 (map1 (("/evms/storage/volumes/sda1" language ("ru…") …)))
In unknown file:
           1 (request-unix-server "/var/run/alteratord/.socket" "(\…" …)
In ice-9/boot-9.scm:
   756:25  0 (dispatch-exception 0 internal-error (wrong-type-arg # …))

ice-9/boot-9.scm:756:25: In procedure dispatch-exception:
ice-9/boot-9.scm:756:25: Throw to key `internal-error' with args
`(wrong-type-arg "cdr" "Wrong type argument in position ~A (expecting ~A): ~S"
(1 "pair" obj) (obj))'.
[altlinux@localhost ~]$ _

PS: разница в поведении блонды и ортодокса наводит на мысль, что эта грабелька
может быть уже в alterator-vm, нет?
------- Comment #3 From 2017-04-24 15:43:24 -------
alterator-vm-0.4.5-alt1
------- Comment #4 From 2017-04-25 20:02:15 -------
(В ответ на комментарий №3)
> alterator-vm-0.4.5-alt1
К сожалению, сегодняшние регулярки с ним тоже падают:

[altlinux@localhost ~]$ livecd-install
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /usr/sbin/alterator-wizard
;;; compiled
/root/.cache/guile/ccache/2.2-LE-4-3.9/usr/sbin/alterator-wizard.go
WARNING: (alterator lookout evaluation): imported module (alterator
presentation events) overrides core binding `when'
frame:on-next is deprecated, use wizard-bind instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:next-activity is deprecated, use wizard-update-activity instead
frame:on-next is deprecated, use wizard-bind instead
frame:on-back is deprecated, use wizard-bind instead
frame:on-next is deprecated, use wizard-bind instead
Backtrace:
In interfaces/guile/lookout/goto.scm:
     31:2 19 (clean-widget #<procedure 81dddd0 at interfaces/guile/…> …)
In interfaces/guile/presentation/container.scm:
   212:44 18 (_ _ _)
In ice-9/eval.scm:
   293:34 17 (_ #(#(#<directory (alterator lookout evaluation)…> …) …))
    619:8 16 (_ #(#(#<directory (alterator lookout evaluation) 8…> …)))
In interfaces/guile/lookout/goto.scm:
    38:25 15 (clean-widget #<procedure 8680810 at interfaces/guile/…> …)
In ice-9/eval.scm:
   174:20 14 (_ #(#(#<directory (alterator lookout evaluation) 8…> …)))
   177:49 13 (lp (#<procedure 87a5970 at ice-9/eval.scm:182:7 (en…> …))
   177:49 12 (lp (#<procedure 87a5960 at ice-9/eval.scm:182:7 (en…> …))
   177:32 11 (lp (#<procedure 87a5940 at ice-9/eval.scm:187:12 (env)>))
In srfi/srfi-1.scm:
   679:15 10 (append-map _ _ . _)
   592:17  9 (map1 ("sda1" "sda2" "sda5"))
In unknown file:
           8 (_ #<procedure 816ae30 at ice-9/eval.scm:330:13 ()> #<…> …)
In ice-9/eval.scm:
    159:9  7 (_ #(#(#<directory (alterator lookout evaluation) 8…> …)))
    155:9  6 (_ _)
In interfaces/guile/logfile.scm:
     37:7  5 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In interfaces/guile/d.scm:
   162:10  4 (_ (("/evms/storage/volumes/sda1" language ("ru_RU") …)) …)
In srfi/srfi-1.scm:
   679:15  3 (append-map _ _ . _)
   592:17  2 (map1 (("/evms/storage/volumes/sda1" language ("ru…") …)))
In unknown file:
           1 (request-unix-server "/var/run/alteratord/.socket" "(\…" …)
In ice-9/boot-9.scm:
   756:25  0 (dispatch-exception 0 internal-error (wrong-type-arg # …))

ice-9/boot-9.scm:756:25: In procedure dispatch-exception:
ice-9/boot-9.scm:756:25: Throw to key `internal-error' with args
`(wrong-type-arg "cdr" "Wrong type argument in position ~A (expecting ~A): ~S"
(1 "pair" obj) (obj))'.
[altlinux@localhost ~]$ _
------- Comment #5 From 2017-04-26 18:56:01 -------
мне отчего-то кажется, что дело в том, что кто-то не установил нужный mkfs.*
------- Comment #6 From 2017-04-27 22:53:41 -------
guile-evms-0.5-alt5 -> sisyphus:

* Thu Apr 27 2017 Sergey Bolshakov <sbolshakov@altlinux> 0.5-alt5
- fixed crash in alterator-vm (closes: #33401)
------- Comment #7 From 2017-05-16 14:42:32 -------
(В ответ на комментарий №5)
> мне отчего-то кажется, что дело в том, что кто-то не установил нужный mkfs.*
Набор таковых в регулярках уже довольно давно не изменялся, если что.